Status: Resolved Priority: Should have
Author: Robert Lemke Category: MVC
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Move T3_Framework_MVC_URI to a more fitting subpackage
Description

The T3_Framework_MVC_URI represents a URI and is not bound to the MVC framework. It better fits where other data types are
located - e.g. in the Property subpackage.

Associated revisions
Revision fef0d602 - 2008-02-12 15:49 - Robert Lemke

    -  FLOW3: (MVC) Specifying an unknown controller in the request URI resulted in exception 1187176358 which was misleading. Changed that so
that the Default Controller is used instead. Needs some proper not-found-handling in the future. * FLOW3: (MVC) Moved the URI class to the Property
module. Resolves #75.

Revision 99d92680 - 2008-02-12 16:10 - Robert Lemke

    -  FLOW3: Forgot to rename the URI testcase file in r486. Addresses #75.
    -  FLOW3: (Error) The "More Information" link will now only be shown if an exception code is available.

History
#1 - 2008-02-12 15:52 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Resolved in revision r486

#2 - 2008-02-14 18:13 - Robert Lemke
- Target version changed from 1 to 18

#3 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)
